VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Appliance::System::Time::SystemTimeStruct Class Reference
Inheritance diagram for Com::Vmware::Appliance::System::Time::SystemTimeStruct:

## Avaliable Methods
public method | get_time ()
public method | get_seconds_since_epoch ()
public method | set_time ()
public method | set_date ()
public method | get_date ()
public method | get_timezone ()
public method | set_seconds_since_epoch ()
public method | new ()
public method | set_timezone ()

## Detailed Description

`Com::Vmware::Appliance::System::Time::SystemTimeStruct` class Structure representing the system time.

## Member Function Documentation

public method Com::Vmware::Appliance::System::Time::SystemTimeStruct::get_date | ( |  | ) |

Gets the value of 'date' property.

Return values

  date | - The current value of the field. date format: Thu 07-31-2014 String#

Code:
click to view
# Number of lines of code in get_date: 4
sub get_date {
my ($self, %args) = @_;
return $self->{'date'};
}

public method Com::Vmware::Appliance::System::Time::SystemTimeStruct::get_seconds_since_epoch | ( |  | ) |

Gets the value of 'seconds_since_epoch' property.

Return values

  seconds_since_epoch | - The current value of the field. seconds since the epoch double#

Code:
click to view
# Number of lines of code in get_seconds_since_epoch: 4
sub get_seconds_since_epoch {
my ($self, %args) = @_;
return $self->{'seconds_since_epoch'};
}

public method Com::Vmware::Appliance::System::Time::SystemTimeStruct::get_time | ( |  | ) |

Gets the value of 'time' property.

Return values

  time | - The current value of the field. time format: 18:18:32 String#

Code:
click to view
# Number of lines of code in get_time: 4
sub get_time {
my ($self, %args) = @_;
return $self->{'time'};
}

public method Com::Vmware::Appliance::System::Time::SystemTimeStruct::get_timezone | ( |  | ) |

Gets the value of 'timezone' property.

Return values

  timezone | - The current value of the field. timezone String#

Code:
click to view
# Number of lines of code in get_timezone: 4
sub get_timezone {
my ($self, %args) = @_;
return $self->{'timezone'};
}

public method Com::Vmware::Appliance::System::Time::SystemTimeStruct::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Appliance::System::Time::SystemTimeStruct structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 22
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{seconds_since_epoch} = $args{'seconds_since_epoch'};
$self->{date} = $args{'date'};
$self->{time} = $args{'time'};
$self->{timezone} = $args{'timezone'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Appliance::System::Time::SystemTimeStruct');
$self->set_binding_name('name' => 'com.vmware.appliance.system.time.system_time_struct');
$self->set_binding_field('key' => 'seconds_since_epoch', 'value' => new Com::Vmware::Vapi::Bindings::Type::DoubleType());
$self->set_binding_field('key' => 'date', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'time', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'timezone', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Appliance::System::Time::SystemTimeStruct::set_date | ( |  | ) |

Sets the given value for 'date' property.

Parameters

  date | - New value for the field. date format: Thu 07-31-2014

Code:
click to view
# Number of lines of code in set_date: 5
sub set_date {
my ($self, %args) = @_;
$self->{'date'} = $args{'date'};
return;
}

public method Com::Vmware::Appliance::System::Time::SystemTimeStruct::set_seconds_since_epoch | ( |  | ) |

Sets the given value for 'seconds_since_epoch' property.

Parameters

  seconds_since_epoch | - New value for the field. seconds since the epoch

Code:
click to view
# Number of lines of code in set_seconds_since_epoch: 5
sub set_seconds_since_epoch {
my ($self, %args) = @_;
$self->{'seconds_since_epoch'} = $args{'seconds_since_epoch'};
return;
}

public method Com::Vmware::Appliance::System::Time::SystemTimeStruct::set_time | ( |  | ) |

Sets the given value for 'time' property.

Parameters

  time | - New value for the field. time format: 18:18:32

Code:
click to view
# Number of lines of code in set_time: 5
sub set_time {
my ($self, %args) = @_;
$self->{'time'} = $args{'time'};
return;
}

public method Com::Vmware::Appliance::System::Time::SystemTimeStruct::set_timezone | ( |  | ) |

Sets the given value for 'timezone' property.

Parameters

  timezone | - New value for the field. timezone

Code:
click to view
# Number of lines of code in set_timezone: 5
sub set_timezone {
my ($self, %args) = @_;
$self->{'timezone'} = $args{'timezone'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Appliance/System/Time.pm